/*
 * file: pv_set.h
 * This file is part of the libpv library.
 *
 * Copyright 2005 Pengutronix
 *
 * Please send bug reports to bugs@pengutronix.de
 *
 * See COPYING for the status of this software.
 */

#ifndef PV_SET_H
#define PV_SET_H

#include <libpv_config.h>

#include <inttypes.h>

#include <pv_types.h>
#include <pv_register.h>

static inline void pv_set_uint8	(const struct pv_engine	*engine,
				 const struct pv	*pv,
				 uint8_t		val)
{
	*(pv_to_abs_addr(engine, pv)->u8) = val;
}

static inline void pv_set_int8	(const struct pv_engine	*engine,
				 const struct pv	*pv,
				 int8_t			val)
{
	*(pv_to_abs_addr(engine, pv)->s8) = val;
}


static inline void pv_set_uint16(const struct pv_engine	*engine,
				 const struct pv	*pv,
				 uint16_t		val)
{
	*(pv_to_abs_addr(engine, pv)->u16) = val;
}

static inline void pv_set_int16	(const struct pv_engine	*engine,
				 const struct pv	*pv,
				 int16_t		val)
{
	*(pv_to_abs_addr(engine, pv)->s16) = val;
}


static inline void pv_set_uint32(const struct pv_engine	*engine,
				 const struct pv	*pv,
				 uint32_t		val)
{
	*(pv_to_abs_addr(engine, pv)->u32) = val;
}

static inline void pv_set_int32	(const struct pv_engine	*engine,
				 const struct pv	*pv,
				 int32_t		val)
{
	*(pv_to_abs_addr(engine, pv)->s32) = val;
}


static inline void pv_set_uint64(const struct pv_engine	*engine,
				 const struct pv	*pv,
				 uint64_t		val)
{
	*(pv_to_abs_addr(engine, pv)->u64) = val;
}

static inline void pv_set_int64	(const struct pv_engine	*engine,
				 const struct pv	*pv,
				 int64_t		val)
{
	*(pv_to_abs_addr(engine, pv)->s64) = val;
}

#endif	/* !PV_SET_H */
