/*
 * file: Pv.h
 * This file is part of the libpv library.
 *
 * Copyright 2005 Pengutronix
 *
 * Please send bug reports to bugs@pengutronix.de
 *
 * See COPYING for the status of this software.
 */

#ifndef LIBPV_PYTHON_PV_H
#define LIBPV_PYTHON_PV_H

#include <Python.h>
#include <libpv.h>

PyTypeObject Pv_Type;

typedef struct {
	PyObject_HEAD
	struct pv_engine *engine;
	struct pv *pv;
} PvObject;

PyObject *Pv_new(PyTypeObject *type, PyObject *args, PyObject *keywds);
void Pv_dealloc(PvObject *self);

PyObject *Pv_get(PvObject *self, PyObject *args);
PyObject *Pv_set(PvObject *self, PyObject *args);

#endif
